Subject: Re: [PATCH 05/21] vswitchd: Add add_tunnel_ports()

From: Ben Pfaff <[email-masked]>
Date: Fri, 25 May 2012 10:18:47 -0700

On Thu, May 24, 2012 at 06:08:58PM +0900, Simon Horman wrote:
> Add tunnel tundevs for tunnel realdevs as needed.
> 
> In general the notion is that realdevs may be configured by users
> and from an end-user point of view are compatible with the existing
> port-based tunneling code. And that tundevs exist in the datapath
> arnd are actually used to send and recieve packets, based on flows.
> 
> Cc: Kyle Mestery <[email-masked]>
> Signed-off-by: Simon Horman <horms-/[email-masked]>

This seems reasonable at a glance.  There are bits I might quibble
with as this gets closer, but the structure seems reasonable.